System.Web 2.0.0.0 System.Enum

The enumeration identifies the function of rows in a data control. It is used by the and controls to distinguish between rows that display data and rows that display other user interface (UI) elements, such as a header row, row separator, or pager buttons.

You can use the enumeration to identify the type of a or object when you enumerate through a or collection. If you are writing a data control that creates rows, you can use the enumeration to identify the function of different rows in the control.

Specifies the function of a row in a data control, such as a or control.

- Field
  System.Web.UI.WebControls.DataControlRowType

  A data row of a data control. Only rows can be data-bound.

  2.0.0.0
- Field
  System.Web.UI.WebControls.DataControlRowType

  The empty row of a data-bound control. The empty row is displayed when the data-bound control has no records to display and the EmptyDataTemplate template is not null.

  2.0.0.0
- Field
  System.Web.UI.WebControls.DataControlRowType

  A footer row of a data control. Footer rows cannot be data-bound.

  2.0.0.0
- Field
  System.Web.UI.WebControls.DataControlRowType

  A header row of a data control. Header rows cannot be data-bound.

  2.0.0.0
- Field
  System.Web.UI.WebControls.DataControlRowType

  A row that displays pager buttons or a pager control. Pager rows cannot be data-bound.

  2.0.0.0
- Field
  System.Web.UI.WebControls.DataControlRowType

  A row separator. Row separators cannot be data-bound.

  2.0.0.0